/*
pcdLCDdisplay.c
1/14/03
Nathan Z. Gustavson ngustavson@emacinc.com
Emac.inc
www.emacinc.com
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/fcntl.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include "pcdlcd.h"


#define ARGCHECK(num){if(argc!=num){printf("invalid number of arguements\n");help();return -1;}}

#define OPENDEV(filed,dev){if((filed = open(dev, O_RDWR))<=0){printf("couldn't open %s\n",dev);return -1;}}

#define CLEARSTR "clear"

static int help(void)
{
const char *help_table = "**********************************************
*pcdLCD_config.c                             *
*Nathan Z. Gustavson                         *
*Emac.inc                                    * 
*"__DATE__"                                 *   
*usage:                                      *   
*pcdLCDdisplay lines string                  *
*ex:                                         *
*pcdLCDdisplay 4 hello_world                 *
*displays hello_world on the LCD             *
*display lines clear                         *
*clears the screen                           * 
**********************************************\n";
printf("%s",help_table);
return 0;
}

int main(int argc,char **argv)
{
char *device = "/dev/LCD";
int fd;
unsigned int lines;
char *lcd_string;

ARGCHECK(3);
OPENDEV(fd,device);

lines=(unsigned int)strtoul(argv[1],NULL,0);

if(lines==2||lines==4)
ioctl(fd, lines);




lcd_string = argv[2];

if(!strcmp(lcd_string,CLEARSTR))
ioctl(fd,LCDCLEAR); 
else
  {
strcat(lcd_string,"\r\n");
write(fd,lcd_string,strlen(lcd_string));
  }
close(fd);
return 0;
}

 
